<?php get_header() ?>
	<div class="leiloes">
		<header class="al-container entry-title">
			<h1 class="title">Leilões</h1>
		</header>
		<div class="leiloes-listagem">
			<?php $leilao = new WP_Query([
				'post_type'      => 'leiloes',
				'posts_per_page' => -1,
				'meta_query' => array(
					array(
						'key' => 'data_do_leilao',
						'value' => current_time('Y-m-d').' 00:00:00',
						'compare' => '>',
						'type' => 'DATETIME',
					),
				),
				'meta_key'  => 'data_do_leilao',
				'orderby'   => 'meta_value',
				'order'     => 'ASC',
			]);	?>
			<?php if ($leilao->have_posts()): ?>
				<?php while ($leilao->have_posts()): $leilao->the_post(); ?>
					<div class="leilao" id="leilao-<?= get_the_ID() ?>">
						<section class="al-container" role="main">
							<div class="left-right-content">
								<div class="left">
									<?php the_post_thumbnail('large'); ?>
								</div>
								<div class="right">
									<?php if($data = get_field('data_do_leilao')):					
										preg_match('/(\d{2}):(\d{2})/', $data, $matches);
										$hora = isset($matches[1]) ? intval($matches[1]) : 0;
										$minutos = isset($matches[2]) ? intval($matches[2]) : 0;						
										$data = mb_strtoupper($data);						
										$data = ($minutos === 0) ? str_replace(':00', 'h', $data) : str_replace(':' . sprintf('%02d', $minutos), 'h' . $minutos . 'min', $data);
										?>
										<span class="date"><?= $data ?></span>
									<?php endif; ?>
									<h2><?= get_the_title() ?></h2>
									<div class="the-content">
										<p><?= get_field('resumo') ?></p>
									</div>
									<a href="<?= get_permalink() ?>" class="button" title="<?= get_the_title() ?>">SAIBA MAIS</a>
								</div>
							</div>
						</section>
					</div>
				<?php endwhile; ?>
			<?php else: ?>
				<p>Nenhum Leilão encontrado com os filtros atuais</p>
			<?php endif; ?>
		</div>
		<style>
			:root{--primary-color:#268ec3;--white:#fff;--black:#000}
			.slick-list,.slick-slider,.slick-track{position:relative;display:block}.slick-slider{opacity: 1 !important;visibility: visible !important; box-sizing:border-box;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;-khtml-user-select:none;-ms-touch-action:pan-y;touch-action:pan-y;-webkit-tap-highlight-color:transparent;background:var(--black)}.slick-slider .slick-list,.slick-slider .slick-track{-webkit-transform:translate3d(0,0,0);-moz-transform:translate3d(0,0,0);-ms-transform:translate3d(0,0,0);-o-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.slick-slider .slick-arrow{position:absolute;top:50%;left:10px;z-index:1;font-size:30px;color:var(--white);cursor:pointer;transform:translateY(-50%);background:rgba(0,0,0,.5);border-radius:50%;display:flex;align-items:center;justify-content:center;width:40px;height:40px;box-shadow:0 0 4px #ccc;transition:.3s}.slick-slider .slick-arrow:hover{color:var(--primary-color)}.slick-slider .slick-arrow.fa-chevron-right{left:auto;right:10px}.slick-slider .slick-dots{position:absolute;bottom:15%;width:100%;display:flex;padding-left:13.5%;gap:20px}.slick-track:after,.slick-track:before{display:table;content:''}.slick-slider .slick-dots li button{font-size:0;border-radius:50%;width:10px;height:10px;background:var(--white);opacity:.4;cursor:pointer;border:none;transition:.3s}.slick-slider .slick-dots li.slick-active button{opacity:1}.slick-list{overflow:hidden;margin:0;padding:0}.slick-list:focus{outline:0}.slick-list.dragging{cursor:pointer;cursor:hand}.slick-track{top:0;left:0;margin-left:auto;margin-right:auto}.slick-track:after{clear:both}.slick-loading .slick-slide,.slick-loading .slick-track{visibility:hidden}.slick-slide{display:none;float:left;height:100%;min-height:1px}.slick-initialized .slick-slide,.slick-slide img{display:block}[dir=rtl] .slick-slide{float:right}.slick-arrow.slick-hidden,.slick-slide.slick-loading img{display:none}.slick-slide.dragging img{pointer-events:none}.slick-vertical .slick-slide{display:block;height:auto;border:1px solid transparent}
		</style>
	</div>
<?php get_footer() ?>
