/**
 * Global theme functions
 */

jQuery(document).ready(function(){
	/**
	 * Contact form 7 alerts
	 */
	const form = document.querySelector('.wpcf7')
	if (form) {
		form.addEventListener('wpcf7mailsent', () => {
			Swal.fire({
				icon: 'success',
				title: 'Sucesso!',
				text: 'Mensagem enviada!',
			})
		})

		form.addEventListener('wpcf7mailfailed', () => {
			Swal.fire({
				icon: 'error',
				title: 'Ocorreu um erro!',
				text: 'Se o erro persistir, favor contatar o suporte.',
			})
		})
	}
	if(document.querySelector("#copy")){
		document.querySelector("#copy").addEventListener("click", ()=>{
			var TextToCopy = document.querySelector("#copy").attributes.link.value;
			var TempText = document.createElement("input");
			TempText.value = TextToCopy;

			document.body.appendChild(TempText);
			TempText.select();

			document.execCommand("copy");
			document.body.removeChild(TempText);
			Swal.fire({
				icon: 'sucess',
				title: 'Texto copiado com sucesso',
			})
		});
	}

	slickSliders();

	if(slider = document.querySelector('.linha')){
		let isDown = false;
		let startX, scrollLeft;

		slider.addEventListener('mousedown', (e) => {
				isDown = true;
				startX = e.pageX - slider.offsetLeft;
				scrollLeft = slider.scrollLeft;
		});

		slider.onmouseup = slider.onmouseleave = () => isDown = false;

		slider.addEventListener('mousemove', (e) => {
				if (!isDown) return;
				e.preventDefault();
				const walk = (e.pageX - slider.offsetLeft - startX) * 3;
				slider.scrollLeft = scrollLeft - walk;
		});
	}

	if((abas = jQuery('.leiloes-single .abas a, .leiloes-single a[aba]')) && (conteudo = jQuery('.leiloes-single .conteudo'))){
		abas.on('click', function(e) {
			e.preventDefault();
			history.pushState(null, null, jQuery(this).attr('href'));

			abas.removeClass('active');
			conteudo.removeClass('active').hide();

			jQuery("[href="+jQuery(this).attr('href')+"]").addClass('active');
			jQuery(jQuery(this).attr('href')).addClass('active').fadeIn();
		});
	}

	let texto_conheca = document.querySelector(".leiloes-single .conteudo#conheca .texto_conheca");
	if (texto_conheca && (texto_conheca.clientHeight < texto_conheca.scrollHeight)) {
		texto_conheca.classList.add('continue-lendo');
	}

	if(jQuery('#touros table').length){
		let touros = jQuery('#touros table');
		touros.DataTable({
			"language": {
				"url": "https://cdn.datatables.net/plug-ins/1.10.25/i18n/Portuguese-Brasil.json"
			},
			// "pageLength": 12,
			"dom": "flrtip",
			"initComplete": function(settings, json) {
				touros.css('display', 'table');
				jQuery('#touros div.dataTables_filter input').attr('placeholder', 'Lote, RGN, pai ou avô materno');
				jQuery('.dataTables_length').after(jQuery('label:has(.catalogo)'));

				jQuery('.dataTables_length').after(jQuery('#filtroLote'));
				jQuery('#filtroLote').change(function() {
					var filtro = jQuery('#filtroLote').val();
					var tabela = jQuery('#touros table').DataTable();
					tabela.column(0).search(filtro).draw();
				});
			}
		});
	}


});


// mascara telefone
if (document.querySelector('[type=tel]')) {
	document.querySelectorAll('[type=tel]').forEach(function (telefoneInput) {
	  telefoneInput.addEventListener('input', function (event) {
		var telefone = event.target.value;
		telefone = telefone.replace(/\D/g, '');
		telefone = telefone.slice(0, 11);
		var tamanho = telefone.length;

		if (tamanho === 10) {
		  telefone = telefone.replace(/^(\d{2})(\d{4})(\d{4})$/, '($1) $2-$3');
		} else if (tamanho === 11) {
		  telefone = telefone.replace(/^(\d{2})(\d{5})(\d{4})$/, '($1) $2-$3');
		} else {
		  telefone = telefone.replace(/^(\d{2})(\d)/, '($1) $2');
		}

		event.target.value = telefone;
	  });
	});
}

const ipInput = document.querySelector('[name=IP]');
if (ipInput) {
	fetch('https://api64.ipify.org?format=json')
		.then(response => response.json())
		.then(data => {
				ipInput.value = data.ip;
		})
		.catch(error => {
				console.error('Erro ao obter o IP:', error);
	});
}

const width = window.innerWidth;
let max_height = '6em';

if (width <= 480) {
	max_height = '15em'
}

document.querySelectorAll('[name="continue_lendo"]').forEach(function(element) {
	let textElement = element.parentNode.parentNode.querySelector('.text');
	textElement.style.maxHeight = (textElement.style.maxHeight == "fit-content") ? textElement.scrollHeight + 'px' : textElement.style.maxHeight;
	element.addEventListener('change', function(e) {
		let lefRight = element.parentNode.parentNode.parentNode;
		textElement.style.maxHeight = (textElement.style.maxHeight == textElement.scrollHeight + 'px') ? max_height : textElement.scrollHeight + 'px';
		lefRight.style.maxHeight = 'fit-content';
		setTimeout(() => {
			lefRight.style.maxHeight = lefRight.scrollHeight + 'px';
		}, 600);
	});
});

document.querySelectorAll('[name="read_more"]').forEach(function(element) {
	let textElement = element.parentNode.parentNode.parentNode;
	textElement.style.maxHeight = (textElement.style.maxHeight == "fit-content") ? textElement.scrollHeight + 'px' : textElement.style.maxHeight;
	element.addEventListener('change', function(e) {
		let lefRight = element.parentNode.parentNode.parentNode.parentNode;
		textElement.style.maxHeight = (textElement.style.maxHeight == textElement.scrollHeight + 'px') ? '29rem' : textElement.scrollHeight + 'px';
		lefRight.style.maxHeight = 'fit-content';
		setTimeout(() => {
			lefRight.style.maxHeight = lefRight.scrollHeight + 'px';
		}, 600);
	});
});

document.querySelectorAll('[name="expandir_caracteristica"]').forEach(function(element) {
	let lefRight = element.parentNode.parentNode.querySelector('.left-right-content');
	lefRight.style.maxHeight = (lefRight.style.maxHeight == "fit-content") ? lefRight.scrollHeight + 'px' : lefRight.style.maxHeight;
	element.addEventListener('change', function(e) {
		if(lefRight.style.maxHeight == lefRight.scrollHeight + 'px'){
			lefRight.style.maxHeight = "0px";
		}else{
			lefRight.style.maxHeight = lefRight.scrollHeight + 'px';
			setTimeout(() => {
				lefRight.style.maxHeight = lefRight.scrollHeight + 'px';
			}, 10);
		}
	});
});


if(document.querySelector(".search .open-search")){
	document.querySelector(".search .open-search").addEventListener("click", function(){
		document.querySelector(".search").classList.add("open");
	});
}
if(document.querySelector(".search .close-btn")){
	document.querySelector(".search .close-btn").addEventListener("click", function(){
		document.querySelector(".search #search").value = "";
		document.querySelector(".search").classList.remove("open");
		if(document.querySelector(".search").classList.contains("filtrado")){
			document.querySelector(".search").submit();
		}
	});
}
if(document.querySelector(".search .lupa")){
	document.querySelector(".search .lupa").addEventListener("click", function(){
		document.querySelector(".search").submit();
	});
}

// abertura de menu
jQuery('#mobile-icon').click(function (event) {
	event.preventDefault();
	jQuery('.overlay').toggleClass('active');
	jQuery('#mobile-menu').toggleClass('active');
});

// faz a rolagem suave de links ancora internos
jQuery('.menu a[href*=#]').click(function (e) {
	var target = jQuery("#"+e.target.href.slice(e.target.href.indexOf("#") + 1));
	if (target.length) {
		jQuery('html, body').animate({ scrollTop: target.offset().top }, 500);
	}
    jQuery('.overlay').removeClass('active');
    jQuery('#mobile-menu').removeClass('active');
});

// fechamento do menu
jQuery('#close').click(function () {
	jQuery('.overlay').toggleClass('active');
	jQuery('#mobile-menu').toggleClass('active');
});


function slickSliders() {
	if (jQuery.fn.slick) {

		jQuery('#slider-home').slick({
			dots: true,
			arrows: false,
			prevArrow: '<i class="fa-solid fa-chevron-left"></i>',
			nextArrow: '<i class="fa-solid fa-chevron-right"></i>',
			speed: 500,
			fade: true,
			autoplay: true,
			autoplaySpeed: 8000
		});

		if(((window.innerWidth > 1400) ? 2.1 : ((window.innerWidth < 768) ? 1.1 : 2.1)) < jQuery('#dados-estatisticos .right .dado').length){
			jQuery('#dados-estatisticos .right').slick({
				dots: false,
				arrows: true,
				prevArrow: '<i class="fa-solid fa-arrow-left-long"></i>',
				nextArrow: '<i class="fa-solid fa-arrow-right-long"></i>',
				slidesToShow: (window.innerWidth > 1400) ? 2.1 : ((window.innerWidth < 768) ? 1.1 : 2.1),
				slidesToScroll: 1,
				speed: 300,
				infinite: false,
				autoplay: true,
				autoplaySpeed: 8000
			});
		}

		if((window.innerWidth <= 768) && (((window.innerWidth > 480) ? 2.1 : 1) < jQuery('#blog .blog-container .artigo').length)){
			jQuery('#blog .blog-container').slick({
				dots: true,
				arrows: false,
				slidesToShow: ((window.innerWidth > 480) ? 2.1 : 1),
				slidesToScroll: 1,
				speed: 300,
				infinite: false,
				autoplay: true,
				autoplaySpeed: 8000
			});
		}

		if((window.innerWidth <= 768) && (((window.innerWidth > 480) ? 2.1 : 1) < jQuery('#fotos_e_videos .fotos_e_videos-container .artigo').length)){
			jQuery('#fotos_e_videos .fotos_e_videos-container').slick({
				dots: true,
				arrows: false,
				slidesToShow: ((window.innerWidth > 480) ? 2.1 : 1),
				slidesToScroll: 1,
				speed: 300,
				infinite: false,
				autoplay: true,
				autoplaySpeed: 8000
			});
		}

		if(((window.innerWidth > 1200) ? 2.6 : ((window.innerWidth < 768) ? ((window.innerWidth <= 480) ? 1 : 1.5) : 2)) < jQuery('.racadores-slider .racador').length){
			jQuery('.racadores-slider').slick({
				dots: true,
				arrows: false,
				slidesToShow: (window.innerWidth > 1200) ? 2.6 : ((window.innerWidth < 768) ? ((window.innerWidth <= 480) ? 1 : 1.5) : 2),
				slidesToScroll: 1,
				speed: 300,
				infinite: false,
				autoplay: true,
				autoplaySpeed: 8000
			});
		}

		if((window.innerWidth > 768) && (jQuery('.leiloes .leiloes-listagem').length)){
			jQuery('.leiloes .leiloes-listagem').slick({
				dots: true,
				arrows: true,
				prevArrow: '<i class="fa-solid fa-arrow-left-long"></i>',
				nextArrow: '<i class="fa-solid fa-arrow-right-long"></i>',
				slidesToShow: 1,
				slidesToScroll: 1,
				speed: 300,
				infinite: false,
				autoplay: true,
				autoplaySpeed: 8000
			});
		}

		if(galeria = jQuery('.racadores-single .galeria')){
			galeria.css('display', 'block')
			galeria.on('init', function(event, slick){
				var max_height = 0;

				jQuery(this).find('[data-fancybox="gallery"] img').each(function() {
					max_height = (this.scrollHeight > max_height) ? this.scrollHeight :max_height;
				});

				jQuery(this).find('[data-fancybox="gallery"] img, [data-fancybox="gallery"] iframe').css('height', max_height + 'px');
			}).slick({
				dots: true,
				arrows: false,
				infinite: true,
				speed: 500,
				slidesToShow: 1,
				customPaging: function(slider, i) {
					if(window.innerWidth>768){
						var thumb = jQuery(slider.$slides[i]).find('img').attr('src');
						return '<a><img src="' + thumb + '"></a>';
					}else{
						return '<div></div>';
					}
				},
				autoplay: true,
				autoplaySpeed: 8000
			});
		}

		if(galeria = jQuery('.leiloes-single .galeria')){
			galeria.css('display', 'block')
			galeria.on('init', function(event, slick){
				var max_height = 0;

				jQuery(this).find('[data-fancybox="gallery"] img').each(function() {
					max_height = (this.scrollHeight > max_height) ? this.scrollHeight :max_height;
				});

				jQuery(this).find('[data-fancybox="gallery"] img, [data-fancybox="gallery"] iframe').css('height', max_height + 'px');
			}).slick({
				dots: true,
				arrows: false,
				infinite: true,
				speed: 500,
				slidesToShow: 1,
				autoplay: true,
				autoplaySpeed: 8000
			});
		}

		// if(galeriaHome = jQuery('.home #leilao .galeria')){
		// 	galeriaHome.find('img').css('display', 'flex');
		// 	galeriaHome.on('init', function(event, slick){
		// 		var max_height = 0;

		// 		jQuery(this).find('img').each(function() {
		// 			max_height = (this.scrollHeight > max_height) ? this.scrollHeight :max_height;
		// 		});

		// 		jQuery(this).find('img').css('height', max_height + 'px');
		// 	}).slick({
		// 		dots: true,
		// 		arrows: false,
		// 		infinite: true,
		// 		speed: 500,
		// 		slidesToShow: 1
		// 	});
		// }

		if(((window.innerWidth > 1400) ? 3 : ((window.innerWidth < 768) ? 1 : 2)) < jQuery('.leiloes-single .noticias-container article').length){
			jQuery('.leiloes-single .noticias-container').slick({
				dots: true,
				arrows: false,
				slidesToShow: (window.innerWidth > 1400) ? 3 : ((window.innerWidth < 768) ? 1 : 2),
				slidesToScroll: 1,
				speed: 300,
				infinite: false,
				autoplay: true,
				autoplaySpeed: 8000
			});
		}


	}else {
		setTimeout(slickSliders, 10);
	}

}

// Ajusta exibição da imagem com base na srcset para mobile
document.querySelectorAll('img[srcset]').forEach(function(imagem) {
	for (const [url, largura] of imagem.getAttribute('srcset').split(',').map(item => item.trim().split(' '))) {
		const larguraInt = parseInt(largura, 10);
		// if(Array.from(imagem.parentNode.classList).some(className => /^slide-/.test(className))){
		// 	imagem.parentNode.style.background = "url('"+imagem.src+"') no-repeat center center";
		// }
		if ((window.innerWidth <= (larguraInt+200)) && (window.innerWidth <= 480)) {
			imagem.srcset = "";
			imagem.src = url;
			// if(Array.from(imagem.parentNode.classList).some(className => /^slide-/.test(className))){
			// 	imagem.parentNode.style.background = "url('"+imagem.src+"') no-repeat center center";
			// }
		break;
		}
	}
});
