<!DOCTYPE html>
<html <?php language_attributes(); ?> xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="X-UA-Compatible" content="IE=7">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="web_author" content="Área Local">
    <meta name="theme-color" content="#000000">
    <link rel="icon" href="<?php image_url('favicon.png'); ?>">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <!-- CDNs CSS -->
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightslider/1.1.6/css/lightslider.min.css" integrity="sha512-yJHCxhu8pTR7P2UgXFrHvLMniOAL5ET1f5Cj+/dzl+JIlGTh5Cz+IeklcXzMavKvXP8vXqKMQyZjscjf3ZDfGA==" crossorigin="anonymous" referrerpolicy="no-referrer" /> -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css" integrity="sha512-MV7K8+y+gLIBoVD59lQIYicR65iaqukzvf/nwasF0nqhPay5w/9lJmVM2hMDcnK1OnMGCdVK+iQrJ7lzPJQd1w==" crossorigin="anonymous" referrerpolicy="no-referrer" />
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">
	<!-- END CDNs CSS -->
    <link rel="stylesheet" type="text/css" media="all" href="<?= get_template_directory_uri(); ?>/style.css">
    <?php get_seo_yoast(); ?>
	<title>
		<?= is_front_page() || is_home() ? get_bloginfo('name')." | ".get_bloginfo('description') : wp_title(''); ?>
	</title>
	<?php if(is_front_page() || is_home()): ?>
		<meta name="description" content="<?= get_bloginfo('description') ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
	<?php get_seo_yoast(); ?>
</head>
<body <?php body_class(); ?>>
    <!-- Header -->
	<div id="pre-head" style="height: 0px; visibility: hidden"></div>
    <header role="heading" aria-level="1" id="main-head">
		<section class="al-container">
			<div id="desktop-menu">
				<?= the_logo("logo.svg") ?>
				<nav class="menu desktop">
					<?php wp_nav_menu(array('menu'=> 'principal', 'container' => false)); ?>
				</nav>
			</div>
            <div id="mobile-menu">
				<div class="container">
					<div class="topo">
						<?= the_logo("logo mobile.svg") ?>
						<div class="close">
							<a id="close">
							<svg xmlns="http://www.w3.org/2000/svg" width="60" height="60" viewBox="0 0 60 60" fill="none">
								<rect x="1" y="1" width="58" height="58" rx="4" stroke="white" stroke-width="2"/>
								<path d="M22.929 37.0711L37.0711 22.9289" stroke="white" stroke-width="2" stroke-linecap="square"/>
								<path d="M22.929 22.9289L37.0711 37.0711" stroke="white" stroke-width="2" stroke-linecap="square"/>
							</svg>
							</a>
						</div>
					</div>
					<nav class="menu mobile">
						<?php wp_nav_menu(array('menu'=> 'principal', 'container' => false)); ?>
					</nav>
                </div>
			</div>
			<div class="flex-header-container">
				<div class="img-logo"><?= the_logo("logo mobile.svg") ?></div>
				<a href="#mobile-icon" id="mobile-icon" class="mobile">
					<svg width="22" height="14" viewBox="0 0 22 14" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path d="M1 13H21" stroke="white" stroke-width="2" stroke-linecap="square"/>
						<path d="M1 7H21" stroke="white" stroke-width="2" stroke-linecap="square"/>
						<path d="M1 1H21" stroke="white" stroke-width="2" stroke-linecap="square"/>
					</svg>
				</a>
			</div>
        </section>
	</header>
	<script>
		var header = document.querySelector('body');
		function checkScroll() {
			if (window.scrollY > 0) {
				header.classList.add("scrolled");
			} else {
				header.classList.remove("scrolled");
			}
		}
		window.addEventListener("scroll", checkScroll);
		checkScroll();
	</script>
    <div class="overlay"></div>
    <!-- Wrapper -->
    <div id="wrapper">
