<?php
/*
Template Name: Sucesso
*/
?>
<?php get_header() ?>
    <style>
        body{
			display: flex;
			/* justify-content: space-between; */
			align-items: center;
			flex-direction: column;
			max-width: 100%;
			height: auto;
			min-height: 100dvh;
        }
        footer {
            max-width: 100% !important;
            width: 100%;
        }
		.entry-title{
			padding-top: 0;
			padding-bottom: 20px;
		}
		.entry-content{
			display: flex;
			flex-wrap: wrap;
			flex-direction: column;
			align-items: center;
			row-gap: 50px;
		}
		.entry-content a.button {
			display: flex;
			position: relative;
			width: 453px;
			max-width: 100%;
			border-radius: 2px;
			justify-content: center;
			padding: 20px 50px;
			font-size: 16px;
			font-weight: 600;
			line-height: 1.4em;
			background: #2AA5DE;
			color: white;
			transition: all 0.3s;
			border: 2px solid transparent;
		}
		.entry-content a.button:hover{
			border-color: #2AA5DE;
			background: #fff;
			color: #2AA5DE;
		}
		.entry-content p{
			color: #14365A;
			font-size: 20px;
			font-weight: 300;
			line-height: 1.5em;
			text-align: center;
		}
		#wrapper{
			width: 100%;
			display: flex;
			margin: 150px auto;
		}
		#main-footer{
			margin-top: auto !important;
		}
		header[role=heading]{
			width: 100%;
			margin-bottom: auto !important;
		}
		h1.title{
			width: 491px;
			max-width: 100%;
			margin: 0 auto;
			text-align: center;
		}
		@media screen and (max-width: 480px) {
			#wrapper{
				margin: 64px auto;
				margin-bottom: 54px;
			}
			.entry-title{
				padding-bottom: 10px;
			}
			h1.title{
				max-width: 265px;
				color: #2AA5DE;
				text-align: center;
				font-family: Archivo;
				font-size: 24px;
				font-style: normal;
				font-weight: 900;
				line-height: normal;
				text-transform: uppercase;
			}
			.entry-content p{
				color: #14365A;
				text-align: center;
				font-family: Archivo;
				font-size: 16px;
				font-style: normal;
				font-weight: 300;
				line-height: 20px; /* 125% */
				max-width: 209px;
			}
			.entry-content{
				row-gap: 30px;
			}
		}
    </style>
    <section class="al-container padrao" role="main">
        <?php while (have_posts()): the_post() ?>
            <article id="id-<?php the_ID() ?>" <?php post_class() ?>>
                <header class="entry-title">
                    <h1 class="title">sua mensagem foi enviada com sucesso!</h1>
                </header>
                <div class="entry-content">
                    <p>Aguarde que em breve entraremos em contato!</p>
                    <a href="<?= get_home_url() ?>" class="button">VOLTAR PARA O INÍCIO</a>
                </div>
            </article>
        <?php endwhile ?>
    </section>

<?php get_footer() ?>
