<?php get_header() ?>
<?php $fields = get_fields(get_the_ID()); ?>
	<div class="leiloes-single">
		<ul class="abas">
			<li>
				<a href="#leilao">O LEILÃO</a>
			</li>
			<li>
				<a href="#conheca">CONHEÇA</a>
			</li>
			<?php if($fields['catalogo'] || $fields['touros']): ?>
				<li>
					<a href="#touros">TOUROS</a>
				</li>
			<?php endif; ?>
			<?php if($fields['contatos'] || $fields['leiloeiras']): ?>
				<li>
					<a href="#informacoes">INFORMAÇÕES</a>
				</li>
			<?php endif; ?>
		</ul>
		<div class="conteudo" id="leilao">
			<section class="al-container">
				<?php if(($images = $fields['galeria']) || have_rows('videos_do_youtube')): ?>
					<ul class="galeria" style="display: none;">
						<?php while( have_rows('videos_do_youtube') ) : the_row(); ?>
							<?php
								$iframe_content = get_sub_field('video');
								preg_match('/embed\/(.*?)\?/', get_sub_field('video'), $matches);
								$youtube_video_id = $matches[1];
							?>
							<li class="video">
								<a data-fancybox="gallery" href="https://www.youtube.com/embed/<?= $youtube_video_id ?>">
									<?php if($thumbnail = get_sub_field('thumbnail')): ?>
										<?= wp_get_attachment_image($thumbnail, 'medium_large') ?>
									<?php else: ?>
										<?= $iframe_content ?>
									<?php endif; ?>
								</a>
							</li>
						<?php endwhile; ?>
							<li class="imagem">
								<a data-fancybox="gallery" href="<?= get_the_post_thumbnail_url(get_the_ID(), 'full'); ?>" data-lightbox="galeria">
									<?php the_post_thumbnail('medium_large'); ?>
								</a>
							</li>
						<?php foreach( $images as $image_id ): ?>
							<li class="imagem">
								<a data-fancybox="gallery" href="<?= wp_get_attachment_url($image_id); ?>" data-lightbox="galeria">
									<?= wp_get_attachment_image($image_id, 'medium_large') ?>
								</a>
							</li>
						<?php endforeach; ?>
					</ul>
					<style>
						:root{--primary-color:#268ec3;--white:#fff;--black:#000}
						.slick-list,.slick-slider,.slick-track{position:relative;display:block}.slick-slider{opacity: 1 !important;visibility: visible !important; box-sizing:border-box;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;-khtml-user-select:none;-ms-touch-action:pan-y;touch-action:pan-y;-webkit-tap-highlight-color:transparent;background:var(--black)}.slick-slider .slick-list,.slick-slider .slick-track{-webkit-transform:translate3d(0,0,0);-moz-transform:translate3d(0,0,0);-ms-transform:translate3d(0,0,0);-o-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.slick-slider .slick-arrow{position:absolute;top:50%;left:10px;z-index:1;font-size:30px;color:var(--white);cursor:pointer;transform:translateY(-50%);background:rgba(0,0,0,.5);border-radius:50%;display:flex;align-items:center;justify-content:center;width:40px;height:40px;box-shadow:0 0 4px #ccc;transition:.3s}.slick-slider .slick-arrow:hover{color:var(--primary-color)}.slick-slider .slick-arrow.fa-chevron-right{left:auto;right:10px}.slick-slider .slick-dots{position: absolute;bottom: 20px;width: 100%;display: flex;justify-content: center;gap: 20px}.slick-track:after,.slick-track:before{display:table;content:''}.slick-slider .slick-dots li button{font-size:0;border-radius:50%;width:10px;height:10px;background:var(--white);opacity:.4;cursor:pointer;border:none;transition:.3s}.slick-slider .slick-dots li.slick-active button{opacity:1}.slick-list{overflow:hidden;margin:0;padding:0}.slick-list:focus{outline:0}.slick-list.dragging{cursor:pointer;cursor:hand}.slick-track{top:0;left:0;margin-left:auto;margin-right:auto}.slick-track:after{clear:both}.slick-loading .slick-slide,.slick-loading .slick-track{visibility:hidden}.slick-slide{display:none;float:left;height:100%;min-height:1px}.slick-initialized .slick-slide,.slick-slide img{display:block}[dir=rtl] .slick-slide{float:right}.slick-arrow.slick-hidden,.slick-slide.slick-loading img{display:none}.slick-slide.dragging img{pointer-events:none}.slick-vertical .slick-slide{display:block;height:auto;border:1px solid transparent}
					</style>
				<?php endif; ?>
			</section>
			<div class="descricao al-container">
				<header class="entry-title">
					<?php if($data = $fields['data_do_leilao']):
						preg_match('/(\d{2}):(\d{2})/', $data, $matches);
						$hora = isset($matches[1]) ? intval($matches[1]) : 0;
						$minutos = isset($matches[2]) ? intval($matches[2]) : 0;
						$data = mb_strtoupper($data);
						$data = ($minutos === 0) ? str_replace(':00', 'h', $data) : str_replace(':' . sprintf('%02d', $minutos), 'h' . $minutos . 'min', $data);
						?>
						<span class="date"><?= $data ?></span>
					<?php endif; ?>
					<h1 class="title"><?= get_the_title() ?></h1>
				</header>
				<div class="content"><?= $fields['descricao' ]?></div>
				<a href="#conheca" class="button" aba="#conheca" onclick="document.querySelector('[href=\'#conheca\']').classList.add('active'); return false;">VER MAIS</a>
			</div>
			<?php
			$noticias = new WP_Query(array(
				'post_type' => 'post',
				'posts_per_page' => 6,
				'meta_query' => array(
					array(
					  'key' => 'leiloes_relacionados',
					  'value' => '"'.get_the_ID().'"',
					  'compare' => 'LIKE'
					)
				),
				'orderby' => 'date',
				'order' => 'desc'
			));
			if ($noticias->have_posts()): ?>
				<div class="noticias">
					<h2 class="sub-title">NOTÍCIAS DO LEILÃO</h2>
					<div class="noticias-container al-container">
						<?php while($noticias->have_posts()) : $noticias->the_post(); ?>
							<article class="clearfix artigo" id="id-<?php the_ID(); ?>">
								<a href="<?= get_the_permalink() ?>" title="<?= get_the_title() ?>">
									<?= get_the_post_thumbnail(get_the_ID(), 'medium_large') ?>
								</a>
								<h4>
									<a href="<?= get_permalink() ?>"><?= get_the_title() ?></a>
								</h4>
								<a href="<?= get_permalink() ?>" class="button" title="<?= get_the_title() ?>">CONTINUE LENDO</a>
							</article>
						<?php endwhile; ?>
					</div>
				</div>
				<style>
					.noticias .slick-slider{background:0 0}.noticias .slick-slider .slick-dots{bottom:0;left:0}.noticias .slick-slider .slick-dots li button{background:#14365a}.noticias .slick-list{padding-bottom:60px}
				</style>
			<?php wp_reset_postdata(); endif; ?>
			<div class="bloco-inferior">
				<?php if($realizacao = $fields['realizacao']): ?>
					<div class="realizacao al-container">
						<ul>
							<?php if($realizacao['patrocinio']): ?>
								<li>
									<span>PATROCÍNIO</span>
									<div>
										<?php foreach($realizacao['patrocinio'] as $patrocinio): ?>
											<a href="<?= $patrocinio['link'] ?>"><?= wp_get_attachment_image($patrocinio['logo'], "medium" ) ?></a>
										<?php endforeach; ?>
									</div>
								</li>
							<?php endif; ?>
							<?php if($realizacao['avaliacao']): ?>
								<li>
									<span>AVALIAÇÃO</span>
									<div>
										<?php foreach($realizacao['avaliacao'] as $avaliacao): ?>
											<a href="<?= $avaliacao['link'] ?>"><?= wp_get_attachment_image($avaliacao['logo'], "medium" ) ?></a>
										<?php endforeach; ?>
									</div>
								</li>
							<?php endif; ?>
							<?php if($realizacao['consultoria']): ?>
								<li>
									<span>CONSULTORIA</span>
									<div>
										<?php foreach($realizacao['consultoria'] as $consultoria): ?>
											<a href="<?= $consultoria['link'] ?>"><?= wp_get_attachment_image($consultoria['logo'], "medium" ) ?></a>
										<?php endforeach; ?>
									</div>
								</li>
							<?php endif; ?>
							<?php if($realizacao['aceleradora']): ?>
								<li>
									<span>ACELERADORA</span>
									<div>
										<?php foreach($realizacao['aceleradora'] as $aceleradora): ?>
											<a href="<?= $aceleradora['link'] ?>"><?= wp_get_attachment_image($aceleradora['logo'], "medium" ) ?></a>
										<?php endforeach; ?>
									</div>
								</li>
							<?php endif; ?>
							<?php if($realizacao['leiloeira']): ?>
								<li>
									<span>LEILOEIRA</span>
									<div>
										<?php foreach($realizacao['leiloeira'] as $leiloeira): ?>
											<a href="<?= $leiloeira['link'] ?>"><?= wp_get_attachment_image($leiloeira['logo'], "medium" ) ?></a>
										<?php endforeach; ?>
									</div>
								</li>
							<?php endif; ?>
							<?php if($realizacao['transmissao']): ?>
								<li>
									<span>TRANSMISSÃO</span>
									<div>
										<?php foreach($realizacao['transmissao'] as $transmissao): ?>
											<a href="<?= $transmissao['link'] ?>"><?= wp_get_attachment_image($transmissao['logo'], "medium" ) ?></a>
										<?php endforeach; ?>
									</div>
								</li>
							<?php endif; ?>
							<?php if($realizacao['retransmissao']): ?>
								<li>
									<span>RETRANSMISSÃO</span>
									<div>
										<?php foreach($realizacao['retransmissao'] as $retransmissao): ?>
											<a href="<?= $retransmissao['link'] ?>"><?= wp_get_attachment_image($retransmissao['logo'], "medium" ) ?></a>
										<?php endforeach; ?>
									</div>
								</li>
							<?php endif; ?>
						</ul>

					</div>
				<?php endif; ?>
				<?= do_shortcode('[addtoany]') ?>
				<a href="<?= get_post_type_archive_link("leiloes") ?>" class="ver-todas">VER TODOS</a>
			</div>
		</div>
		<div class="conteudo" id="conheca">
			<?php if($fields['banners_superiores']['banner_conheca_1']):?>
				<div class="banner al-container">
					<img
						src="<?= $fields['banners_superiores']['banner_conheca_1']["url"] ?>"
						srcset="<?= $fields['banners_superiores']['banner_conheca_1_mobile']["url"] ?> <?= $fields['banners_superiores']['banner_conheca_1_mobile']["width"] ?>w, <?= $fields['banners_superiores']['banner_conheca_1']["url"] ?> <?= $fields['banners_superiores']['banner_conheca_1']["width"] ?>w"
						sizes="(max-width: <?= $fields['banners_superiores']['banner_conheca_1_mobile']["width"] ?>px) 100vw, <?= $fields['banners_superiores']['banner_conheca_1']["width"] ?>px"
						width="<?= $fields['banners_superiores']['banner_conheca_1']["width"] ?>"
						height="<?= $fields['banners_superiores']['banner_conheca_1']["height"] ?>"
						style="height: auto; max-width: 100%;"
					>
				</div>
			<?php endif; ?>
			<?php if($fields['introducao']['titulo_conheca']): ?>
				<h2 class="sub-title al-container"><?= $fields['introducao']['titulo_conheca'] ?></h2>
			<?php endif; ?>
			<?php if($fields['introducao']['texto_conheca']): ?>
				<div class="texto_conheca al-container">
					<?= $fields['introducao']['texto_conheca'] ?>
					<span class="load">
						<a href="#" onclick="
							this.parentElement.parentElement.style.height = this.parentElement.parentElement.clientHeight + 'px';
							this.parentElement.parentElement.style.display = 'block';
							this.parentElement.parentElement.style.height = this.parentElement.parentElement.scrollHeight + 'px';
							this.parentElement.parentElement.classList.remove('continue-lendo');
							return false;"
						>CONTINUE LENDO</a>
					</span>
				</div>
			<?php endif; ?>
			<?php if($fields['banners_superiores']['banner_conheca_2']): ?>
				<div class="banner al-container">
					<img
						src="<?= $fields['banners_superiores']['banner_conheca_2']["url"] ?>"
						srcset="<?= $fields['banners_superiores']['banner_conheca_2_mobile']["url"] ?> <?= $fields['banners_superiores']['banner_conheca_2_mobile']["width"] ?>w, <?= $fields['banners_superiores']['banner_conheca_2']["url"] ?> <?= $fields['banners_superiores']['banner_conheca_2']["width"] ?>w"
						sizes="(max-width: <?= $fields['banners_superiores']['banner_conheca_2_mobile']["width"] ?>px) 100vw, <?= $fields['banners_superiores']['banner_conheca_2']["width"] ?>px"
						width="<?= $fields['banners_superiores']['banner_conheca_2']["width"] ?>"
						height="<?= $fields['banners_superiores']['banner_conheca_2']["height"] ?>"
						style="height: auto; max-width: 100%;"
					>
				</div>
			<?php endif; ?>
			<?php if($fields['caracteristicas']): ?>
				<div class="caracteristicas al-container">
					<?php if($fields['caracteristicas']['titulo']): ?>
						<h2 class="sub-title"><?= $fields['caracteristicas']['titulo'] ?></h2>
					<?php endif; ?>
					<?php if($fields['caracteristicas']['fatores']): ?>
						<ul class="fatores">
							<?php foreach($fields['caracteristicas']['fatores'] as $fator): ?>
								<li><span><?= $fator['fator'] ?></span></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
					<?php if($fields['caracteristicas']['estatisticas']): ?>
						<ul class="estatisticas">
							<?php foreach($fields['caracteristicas']['estatisticas'] as $estatistica): ?>
								<li>
									<strong><?= $estatistica['numero'] ?></strong>
									<span><?= $estatistica['label'] ?></span>
								</li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
					<?php if($fields['caracteristicas_especificacao']['especificacao']): ?>
						<div class="especificacao"><?= $fields['caracteristicas_especificacao']['especificacao'] ?></div>
					<?php endif; ?>
				</div>
				<?php if($fields['caracteristicas']['banner_conheca_3']):?>
					<div class="banner al-container">
						<img
							src="<?= $fields['caracteristicas']['banner_conheca_3']["url"] ?>"
							srcset="<?= $fields['caracteristicas']['banner_conheca_3_mobile']["url"] ?> <?= $fields['caracteristicas']['banner_conheca_3_mobile']["width"] ?>w, <?= $fields['caracteristicas']['banner_conheca_3']["url"] ?> <?= $fields['caracteristicas']['banner_conheca_3']["width"] ?>w"
							sizes="(max-width: <?= $fields['caracteristicas']['banner_conheca_3_mobile']["width"] ?>px) 100vw, <?= $fields['caracteristicas']['banner_conheca_3']["width"] ?>px"
							width="<?= $fields['caracteristicas']['banner_conheca_3']["width"] ?>"
							height="<?= $fields['caracteristicas']['banner_conheca_3']["height"] ?>"
							style="height: auto; max-width: 100%;"
						>
					</div>
				<?php endif; ?>
			<?php endif; ?>
			<?php if($fields['avaliacoes']): ?>
				<div class="avaliacoes al-container">
					<?php if($fields['avaliacoes']['titulo']): ?>
						<h2 class="sub-title al-container"><?= $fields['avaliacoes']['titulo'] ?></h2>
					<?php endif; ?>
					<?php if($fields['avaliacoes']['avalicao']): ?>
						<ul class="avaliacao al-container">
							<?php foreach($fields['avaliacoes']['avalicao'] as $avalicao): ?>
								<li><?= $avalicao['item'] ?></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<div class="conheca-fidelidade">
				<div class="al-container">
					<h2 class="sub-title al-container">CONHEÇA NOSSO<br>PROGRAMA FIDELIDADE</h2>
					<div class="texto-conheca-fidelidade">Você que é nosso cliente fiel e garante seus resultados com GENÉTICA GRENDENE, <br>já ficou sabendo da nossa novidade?</div>
				</div>
			</div>
			<div class="cartao-fidelidade">
				<div class="left-right-content">
					<div class="left">
						<h2 class="sub-title">Agora temos o PROGRAMA FIDELIDADE<br>NELORE GRENDENE. Descontos progressivos de acordo com suas compras realizadas. Faça parte desse clube de vantagens!</h2>
						<ul>
							<li>30 parcelas<br>(2 + 2 + 2 + 2 + 2 + 20)</li>
							<li>7% de desconto para<br>pagamento à vista</li>
							<li>Frete facilitado</li>
						</ul>
						<p class="bottom">Condições especiais para clientes que<br>já adquiriram touros em outras edições.</p>
					</div>
					<div class="right">
						<?= wp_get_attachment_image(390, 'full') ?>
					</div>
				</div>
			</div>
			<div class="pouso al-container">
				<h2 class="sub-title">COORDENADAS DE POUSO</h2>
				<div class="left-right-content">
					<div class="left">
						<h6 class="topo">
							<strong>Pista de Pouso<br/>Aeroporto Cáceres/MT</strong><br>
							COORDENADAS:<br/>16°2’34”S ∙ 57°37’47”W
						</h6>
						<div class="text">
							<span>- Pista 1.285 m de comprimento e 17 m de largura<br/><br/>
							- Piso: Asfaltado<br/><br/>
							- Operação: diurna e noturna por aproximação visual<br/><br/>
							- Distância do centro da cidade: 7,2 km<br/><br/>
							</span>
							<strong>Distância aéreas:<br/></strong>
							<span>Cuiabá 177 km<br/>
							Brasília 1.042 km<br/>
							São Paulo 1.259 km<br/>
							Porto Alegre 1.834 km<br/><br/>
							Av. José Miguel Escasse, s/n<br/>
							(65) 3222-2325
							</span>
						</div>
					</div>
					<div class="right">
						<h6 class="topo">
							<strong>Pista de Pouso<br/>Fazenda Ressaca</strong><br>
							COORDENADAS:<br/>16°11’19”S ∙ 057°42’20”W
						</h6>
						<div class="text">
							<span>- Pista: 1.200 m de comprimento e 18 m de largura<br/><br/>
							- Piso: Cascalho<br/><br/>
							- Resistência do Pavimento: 5.700/0.50<br/><br/>
							- Operação: VFR Diurna
							</span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="conteudo al-container" id="touros">
			<?php if($fields['catalogo']): ?>
				<label>
					<a class="button catalogo" href="<?= $fields['catalogo']; ?>" target="_blank">Baixar catálogo virtual</a>
				</label>
			<?php endif; ?>
			<?php if($fields['touros']): ?>
				<table style="display: none;">
					<thead>
						<tr>
							<th>LOTE</th>
							<th>RGN</th>
							<th>MESES</th>
							<th style="width: 130px;">PAI</th>
							<th style="width: 130px;">AVÔ MATERNO</th>
							<th>PESO</th>
							<th>C.E</th>
							<th>Top<br>MGTe</th>
							<th>PMGZ<br>Deca</th>
							<th style="font-size: 10px;">Desmama<br>Pd-ed</th>
							<th style="font-size: 10px;">Sobreano<br>Ps-ed</th>
							<th style="font-size: 10px;">Maternal<br>Pm-em</th>
							<th style="font-size: 10px;">Longevidade<br>Stay</th>
							<th style="font-size: 10px;">Fertilidade<br>Pe-365</th>
							<th>VÍDEO</th>
						</tr>
					</thead>
					<tbody>
						<?php $lotes = []; ?>
						<?php foreach($fields['touros'] as $touro): ?>
							<tr>
								<td title="LOTE"><?= str_pad($touro['lote'], 3, '0', STR_PAD_LEFT) ?></td>
								<?php $lotes[str_pad($touro['lote'], 3, '0', STR_PAD_LEFT)] = str_pad($touro['lote'], 3, '0', STR_PAD_LEFT) ?>
								<td title="RGN"><?= $touro['rng'] ?></td>
								<td title="MESES"><?= $touro['meses'] ?></td>
								<td title="PAI"><?= $touro['pai'] ?></td>
								<td title="AVÔ MATERNO"><?= $touro['avo_materno'] ?></td>
								<td title="PESO"><?= $touro['peso'] ?></td>
								<td title="C.E"><?= $touro['ce'] ?></td>
								<td title="Top&#10;MGTe"><?= $touro['top_mgte'] ?></td>
								<td title="PMGZ&#10;Deca"><?= $touro['pmgz_deca'] ?></td>
								<td title="Desmama&#10;Pd-ed"><?= $touro['desmama_pd-ed'] ?></td>
								<td title="Sobreano&#10;Ps-ed"><?= $touro['sobreano_ps-ed'] ?></td>
								<td title="Maternal&#10;Pm-em"><?= $touro['maternal_pm-em'] ?></td>
								<td title="Longevidade&#10;Stay"><?= $touro['longevidade_stay'] ?></td>
								<td title="Fertilidade&#10;Pe-365"><?= $touro['fertilidade_pe-365'] ?></td>
								<td title="VÍDEO"><?= $touro['video'] ? '<a href='.$touro['video'].' data-fancybox="gallery" target="_blank">Link</a>' : '-' ?></td>
							</tr>
						<?php endforeach; ?>
					</tbody>
				</table>
					<select id="filtroLote">
						<option value="">Lote</option>
						<?php foreach ($lotes as $key => $lote): ?>
							<option value="<?= $lote ?>"><?= $lote ?></option>
						<?php endforeach; ?>
				</select>
				<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.25/css/jquery.dataTables.css">
				<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.js"></script>
				<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.css" />
				<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js" ></script>
			<?php endif; ?>
		</div>
		<div class="conteudo" id="informacoes">
			<?php if($fields['contatos']): ?>
				<div class="contatos al-container">
					<h4>Contatos</h4>
					<?php foreach($fields['contatos'] as $contato): ?>
						<?php if(@$contato['ativo']): ?>
							<p>
								<strong><?= $contato['empresa'] ?></strong>
								<?= $contato['pessoa'] ? "<br>".$contato['pessoa'] : "" ?>
								<?= $contato['numero'] ? "<br>".$contato['numero'] : "" ?>
							</p>
						<?php endif; ?>
					<?php endforeach; ?>
				</div>
			<?php endif; ?>
			<?php if($fields['leiloeiras']): ?>
				<div class="leiloeiras al-container">
					<h4>LEILOEIRAS</h4>
					<?php foreach($fields['leiloeiras'] as $leiloeira): ?>
						<?php if(@$leiloeira['ativo']): ?>
							<p>
								<strong><?= $leiloeira['empresa'] ?></strong>
								<?= $leiloeira['tipo'] ? "<br>".$leiloeira['tipo'] : "" ?>
								<?= $leiloeira['numero'] ? "<br>".$leiloeira['numero'] : "" ?>
							</p>
						<?php endif; ?>
					<?php endforeach; ?>
				</div>
			<?php endif; ?>
		</div>
	</div>
	<script>
		if (anchor = window.location.hash) {
			if (element = document.querySelector(anchor)) {
				element.classList.add('active');
				document.querySelector('[href="'+anchor+'"]').classList.add('active');
			}else{
				document.querySelector('#leilao').classList.add('active');
				document.querySelector('[href="#leilao"]').classList.add('active');
			}
		}else{
			document.querySelector('#leilao').classList.add('active');
			document.querySelector('[href="#leilao"]').classList.add('active');
		}
	</script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.css" />
	<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js" ></script>
<?php get_footer() ?>
