<?php get_header() ?>
	<section class="al-container racadores-single">
		<div class="share-and-back">
			<a href="<?= get_post_type_archive_link("racadores") ?>" class="back">
				<svg xmlns="http://www.w3.org/2000/svg" width="10" height="16" viewBox="0 0 10 16" fill="none">
					<path d="M8.92849 15.0711L1.85742 8L8.92849 0.928932" stroke="#14365A" stroke-width="2"/>
				</svg>
			</a>
			<?= do_shortcode('[addtoany]') ?>
		</div>
		<div class="left-right-content">
			<div class="left">
				<?php if(($images = get_field('galeria')) || have_rows('videos_do_youtube')): ?>
					<ul class="galeria" style="display: none;">
						<?php while( have_rows('videos_do_youtube') ) : the_row(); ?>
							<?php
								$iframe_content = get_sub_field('video');
								preg_match('/embed\/(.*?)\?/', get_sub_field('video'), $matches);
								$youtube_video_id = $matches[1];
							?>
							<li class="video">
								<a data-fancybox="gallery" href="https://www.youtube.com/embed/<?= $youtube_video_id ?>">
									<?php if($thumbnail = get_sub_field('thumbnail')): ?>
										<?= wp_get_attachment_image($thumbnail, 'medium_large') ?>
									<?php else: ?>
										<?= $iframe_content ?>
										<img src="https://img.youtube.com/vi/<?= $youtube_video_id ?>/hqdefault.jpg" alt="Thumbnail do Vídeo" style="display: none;">
									<?php endif; ?>
								</a>
							</li>
						<?php endwhile; ?>
						<?php foreach( $images as $image_id ): ?>
							<li class="imagem">
								<a data-fancybox="gallery" href="<?= wp_get_attachment_url($image_id); ?>" data-lightbox="galeria">
									<?= wp_get_attachment_image($image_id, 'medium_large'); ?>
								</a>
							</li>
						<?php endforeach; ?>
					</ul>
					<style>
						:root{--primary-color:#268ec3;--white:#fff;--black:#000}
						.slick-list,.slick-slider,.slick-track{position:relative;display:block}.slick-slider{opacity:1!important;visibility:visible!important;box-sizing:border-box;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;-khtml-user-select:none;-ms-touch-action:pan-y;touch-action:pan-y;-webkit-tap-highlight-color:transparent}.slick-slider .slick-list,.slick-slider .slick-track{-webkit-transform:translate3d(0,0,0);-moz-transform:translate3d(0,0,0);-ms-transform:translate3d(0,0,0);-o-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.slick-slider .slick-arrow{position:absolute;top:50%;left:10px;z-index:1;font-size:30px;color:var(--white);cursor:pointer;transform:translateY(-50%);background:rgba(0,0,0,.5);border-radius:50%;display:flex;align-items:center;justify-content:center;width:40px;height:40px;box-shadow:0 0 4px #ccc;transition:.3s}.slick-slider .slick-arrow:hover{color:var(--primary-color)}.slick-slider .slick-arrow.fa-chevron-right{left:auto;right:10px}.slick-slider .slick-dots{width:100%;display:flex;padding-top:20px;gap:20px}.slick-track:after,.slick-track:before{display:table;content:""}.slick-slider .slick-dots li{width:auto;height:auto}.slick-slider .slick-dots li img{height:74px;box-shadow:0 0 3px rgba(0,0,0,.3);opacity:1;transition:.3s}.slick-slider .slick-dots li.slick-active img{opacity:.3}.slick-list{overflow:hidden;margin:0;padding:0}.slick-list:focus{outline:0}.slick-list.dragging{cursor:pointer;cursor:hand}.slick-track{top:0;left:0;margin-left:auto;margin-right:auto}.slick-track:after{clear:both}.slick-loading .slick-slide,.slick-loading .slick-track{visibility:hidden}.slick-slide{display:none;float:left;height:100%;min-height:1px}.slick-initialized .slick-slide,.slick-slide iframe,.slick-slide img{display:block;object-fit:contain;object-position:center;margin:auto}[dir=rtl] .slick-slide{float:right}.slick-arrow.slick-hidden,.slick-slide.slick-loading img{display:none}.slick-slide.dragging img{pointer-events:none}.slick-vertical .slick-slide{display:block;height:auto;border:1px solid transparent}
					</style>
				<?php endif; ?>
			</div>
			<div class="right">
				<header class="entry-title">
					<h1 class="title"><?= get_the_title() ?></h1>
				</header>
				<?php if($informacoes = get_field('informacoes')): ?>
					<ul class="informacoes">
						<?php if($informacoes['codigo_crv_lagoa']): ?>
							<li>
								<p>Código CRV Lagoa</p>
								<p><?= $informacoes['codigo_crv_lagoa'] ?></p>
							</li>
						<?php endif; ?>
						<?php if($informacoes['registro']): ?>
							<li>
								<p>Registro</p>
								<p><?= $informacoes['registro'] ?></p>
							</li>
						<?php endif; ?>
						<?php if($informacoes['nascimento']): ?>
							<li>
								<p>Nascimento</p>
								<p><?= $informacoes['nascimento'] ?></p>
							</li>
						<?php endif; ?>
						<?php if($informacoes['linhagem']): ?>
							<li>
								<p>Linhagem</p>
								<p><?= $informacoes['linhagem'] ?></p>
							</li>
						<?php endif; ?>
					</ul>
					<?php if($informacoes['mais_informacoes']): ?>
						<div>
							<a class="button" href="<?= $informacoes['mais_informacoes'] ?>" target="_blank">MAIS INFORMAÇÕES</a>
							<p>Você será redirecionado para um site externo</p>
						</div>
					<?php endif; ?>
				<?php endif; ?>
				<div class="detalhes">
					<?= the_field('detalhes') ?>
				</div>
			</div>
		</div>
	</section>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.css" />
	<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js" ></script>
<?php get_footer() ?>
