<?php
/*
Template Name: Sobre Nós
*/
?>
<?php get_header() ?>
<?php $fields = get_fields(get_the_ID()); ?>
	<div class="sobre-nos bloco-1" id="topo">
		<?php if($fields['bloco_1_imagem_topo']): ?>
			<div class="desktop">
				<?= the_image($fields['bloco_1_imagem_topo'], "full") ?>
			</div>
		<?php endif; ?>
		<?php if($fields['bloco_1_imagem_topo_mobile']): ?>
			<div class="mobile">
				<?= the_image($fields['bloco_1_imagem_topo_mobile'], "full") ?>
			</div>
		<?php endif; ?>
	</div>
	<div class="sobre-nos bloco-2" id="caracteristicas">
		<?php if($fields['bloco_2_caracteristicas']): ?>
			<header class="entry-title al-container">
				<h2 class="title"><?= $fields['bloco_2_titulo'] ?></h2>
				<span><?= $fields['bloco_2_subtitulo'] ?></span>
			</header>
			<section class="al-container pagina-padrao" role="main">
				<?php $cont = 0; ?>
				<?php foreach ($fields['bloco_2_caracteristicas'] as $key => $caracteristica): ?>
					<?php if($caracteristica['informacoes']['ativo']): ?>
						<article class="caracteristica">
							<label class="topo">
								<h4><?= $caracteristica['informacoes']['titulo'] ?></h4>
								<input type="checkbox" name="expandir_caracteristica" <?= $cont==0 ? "checked" : "" ?> value="<?= $key ?>">
							</label>
							<div class="left-right-content" style="max-height:<?= $cont==0 ? "fit-content" : "0px" ?>">
								<div class="left">
									<div class="text">
										<?= $caracteristica['informacoes']['texto'] ?>
									</div>
									<label>CONTINUE LENDO<input type="checkbox" name="continue_lendo"></label>
								</div>
								<div class="right">
									<?= the_image($caracteristica['imagem'], "medium") ?>
								</div>
							</div>
						</article>
						<?php $cont++; ?>
					<?php endif; ?>
				<?php endforeach; ?>
			</section>
		<?php endif; ?>
	</div>



	<?php if($linha_do_tempo = $fields['linha_do_tempo']): ?>
        <div class="sobre-nos bloco-3" id="linha-do-tempo">
			<header class="entry-title al-container">
				<h2 class="title"><?= $fields['bloco_3_titulo'] ?></h2>
			</header>
			<div class="linha-container al-container">
				<div class="linha text">
					<?php foreach ($linha_do_tempo as $key => $ponto): ?>
						<?php if($ponto['ativo']): ?>
							<div class="ponto">
								<h4><?= $ponto['ano'] ?></h4>
								<p class="ponto-valor"><?= $ponto['titulo'] ?></p>
								<svg width="684" height="18" viewBox="0 0 684 18" fill="none" xmlns="http://www.w3.org/2000/svg">
									<line x1="2" y1="9" x2="327" y2="9" stroke="#2AA5DE" stroke-width="4" stroke-linecap="round"/>
									<circle cx="342" cy="9" r="7" transform="rotate(-90 342 9)" stroke="#2AA5DE" stroke-width="4"/>
									<line x1="357" y1="9" x2="682" y2="9" stroke="#2AA5DE" stroke-width="4" stroke-linecap="round"/>
								</svg>
								<svg class="mobile" width="12" height="74" viewBox="0 0 12 74" fill="none" preserveAspectRatio="xMidYMin meet" xmlns="http://www.w3.org/2000/svg">
									<circle cx="6" cy="6" r="5" stroke="#2AA5DE" stroke-width="2"/>
									<line x1="6" y1="15" x2="6" y2="73" stroke="#2AA5DE" stroke-width="2" stroke-linecap="round"/>
								</svg>
							</div>
    					<?php endif; ?>
					<?php endforeach; ?>
					<center class="read_more">
						<label>VER MAIS<input type="checkbox" name="read_more"></label>
					</center>
				</div>
			</div>
        </div>
    <?php endif; ?>




	<div class="sobre-nos bloco-4" id="mapa">
		<section class="al-container pagina-padrao" role="main">
			<header class="entry-title">
				<h2 class="title"><?= $fields['bloco_4_informacoes']['titulo'] ?></h2>
				<span><?= $fields['bloco_4_informacoes']['subtitulo'] ?></span>
			</header>
			<?php if($fields['bloco_4_mapa']): ?>
				<div class="mapa">
					<?= $fields['bloco_4_mapa'] ?>
					<div class="endereco">
						<p><?= $fields['bloco_4_informacoes']['endereco'] ?></p>
					</div>
				</div>
			<?php endif; ?>
			<div class="links-contato">
				<p>Fale conosco e agende sua visita.</p>
				<div class="links">
					<a href="<?= $fields['bloco_4_informacoes']['telefone'] ?>"><i class="fa-solid fa-phone"></i></i> LIGUE AGORA</a>
					<a href="<?= $fields['bloco_4_informacoes']['mensagem'] ?>"><i class="fa-solid fa-message"></i> DEIXE UMA MENSAGEM</a>
				</div>
			</div>
		</section>
	</div>

<?php get_footer() ?>
