<?php get_header() ?>
	<section class="al-container fotos-e-videos-single">
		<div class="share-and-back">
			<a href="<?= get_post_type_archive_link("fotos-e-videos") ?>" class="back">
				<svg xmlns="http://www.w3.org/2000/svg" width="10" height="16" viewBox="0 0 10 16" fill="none">
					<path d="M8.92849 15.0711L1.85742 8L8.92849 0.928932" stroke="#14365A" stroke-width="2"/>
				</svg>
			</a>
			<?= do_shortcode('[addtoany]') ?>
		</div>
		<header class="entry-title">
			<h1 class="title"><?= get_the_title() ?></h1>
		</header>
		<?php $counter = 0; ?>
		<?php if(($images = get_field('galeria')) || have_rows('videos_do_youtube')): ?>
			<ul class="galeria">
				<?php while( have_rows('videos_do_youtube') ) : the_row(); ?>
					<?php
						$iframe_content = get_sub_field('video');
						preg_match('/embed\/(.*?)\?/', get_sub_field('video'), $matches);
						$youtube_video_id = $matches[1];
						$counter++;
					?>

					<li class="video" <?= $counter <= 6 ? '' : 'style="display: none"' ?>>
						<a data-fancybox="gallery" href="https://www.youtube.com/embed/<?= $youtube_video_id; ?>">
							<svg width="100" height="100" viewBox="0 0 100 100" fill="none" xmlns="http://www.w3.org/2000/svg">
								<g filter="url(#filter0_b_552_817)">
									<rect width="100" height="100" rx="50" fill="white" fill-opacity="0.2"/>
									<path d="M50 12.5C29.2913 12.5 12.5 29.2913 12.5 50C12.5 70.7087 29.2913 87.5 50 87.5C70.7087 87.5 87.5 70.7087 87.5 50C87.5 29.2913 70.7087 12.5 50 12.5ZM62.0619 50.5776L43.7807 63.8783C43.6805 63.9504 43.5623 63.9934 43.4393 64.0026C43.3162 64.0119 43.193 63.987 43.0831 63.9308C42.9732 63.8745 42.881 63.7891 42.8165 63.6839C42.7521 63.5787 42.7178 63.4577 42.7176 63.3343V36.7494C42.7172 36.6258 42.7511 36.5044 42.8154 36.3988C42.8798 36.2932 42.9721 36.2075 43.0822 36.1511C43.1923 36.0948 43.3158 36.07 43.4391 36.0796C43.5624 36.0892 43.6806 36.1327 43.7807 36.2054L62.0619 49.4978C62.1483 49.5588 62.2188 49.6398 62.2674 49.7337C62.316 49.8276 62.3414 49.9319 62.3414 50.0377C62.3414 50.1435 62.316 50.2477 62.2674 50.3416C62.2188 50.4356 62.1483 50.5165 62.0619 50.5776Z" fill="white"/>
								</g>
							</svg>
							<?php if($thumbnail = get_sub_field('thumbnail')): ?>
								<?= wp_get_attachment_image($thumbnail, 'medium_large') ?>
							<?php else: ?>
								<img src="https://img.youtube.com/vi/<?= $youtube_video_id; ?>/hqdefault.jpg" alt="Thumbnail do Vídeo">
							<?php endif; ?>
						</a>
					</li>
				<?php endwhile; ?>
				<?php foreach( $images as $image_id ): $counter++; ?>
					<li <?= $counter <= 6 ? '' : 'style="display: none"' ?>>
						<a data-fancybox="gallery" href="<?= wp_get_attachment_url($image_id); ?>" data-lightbox="galeria">
							<?= wp_get_attachment_image($image_id, 'medium_large'); ?>
						</a>
					</li>
				<?php endforeach; ?>
			</ul>
		<?php endif; ?>
		<a href="#" class="load-more" <?= $counter <= 6 ? 'style="display: none"' : '' ?> onclick="
			event.preventDefault();
			document.querySelectorAll('.galeria li').forEach(function(item){
				item.style.display = 'flex';
				item.style.opacity = '0';
				jQuery(item).animate({opacity: 1}, 400);
			});
			this.style.display = 'none';
		">CARREGAR +<?= ($counter - 6) ?></a>
	</section>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.css" />
	<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js" ></script>
<?php get_footer() ?>
